I have an aluminum MacBook (10.5.8) with 2 GHz Intel Core 2 Duo and 2 GB of memory. Will Snow Leopard work in getting the new iTunes, and Safari?

(continued) In addition, will my MacBook be able to update all of the necessary applications? I can't update Adobe flash player, iTunes, Safari, and pretty much all [newer] recent versions that reject 10.5.8. If you have experience upgrading your 10.5.8 MacBook advice will be greatly appreciated!

Thanks in advance!

Back To Product

Follow this Question

No Answers have been submitted

Be the first to answer this question.  Answer now

Related Questions